"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isPointInPath = isPointInPath;

var _math = require("./utils/math");

function isPointInPath(displayObject, position) {
  var _a = displayObject.parsedStyle,
      x1 = _a.x1,
      y1 = _a.y1,
      x2 = _a.x2,
      y2 = _a.y2,
      _b = _a.lineWidth,
      lineWidth = _b === void 0 ? 0 : _b,
      _c = _a.defX,
      x = _c === void 0 ? 0 : _c,
      _d = _a.defY,
      y = _d === void 0 ? 0 : _d;
  return (0, _math.inLine)(x1, y1, x2, y2, lineWidth, position.x + x, position.y + y);
}